/**
 * Created by kim on 2016/12/6.
 */
define(['jquery'],function($){
    var done = function(obj){
        if(!obj){
            throw new Error(' obj is null...');
        }
    };
    var fail = function(jqxhr){
        console.error('ajax fail....');
        throw new Error('fail.........');
    }

    var ajax = {
        "get":function(url){
            var prom = $.ajax({
                url: url,
                type: "get",
                cache: false,
                async: true,
                scriptCharset: "utf-8",
                dataType: "json",
            });
            //var promise = $.get(url);
            prom.done(done);
            prom.fail(fail);
            return prom;
        },
        "post":function(url,data){
            var prom = $.ajax({
                url: url,
                type: "post",
                cache: false,
                async: true,
                crossDomain: true,
                xhrFields: {
                    withCredentials: true
                },
                contentType:'application/json',
                scriptCharset: "utf-8",
                dataType: "json",
                data: JSON.stringify(data),
            });
            prom.done(done);
            prom.fail(fail);
            return prom;
        }

    };
    return ajax;
});